# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(DBD/SQLite.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name DJabberd-RosterStorage-SQLite
%define upstream_version 1.00

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%{upstream_version}
Release:	alt1_15
Summary:	DJabber plugin to store your jabber roster in SQLite
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://search.cpan.org/CPAN/authors/id/B/BR/BRADFITZ/%{upstream_name}-%{upstream_version}.tar.bz2
# patch submitted upstream : http://lists.danga.com/pipermail/djabberd/2007-September/000401.html
# not applied however, i have been using it since 1 year
Patch0:		DJabberd-RosterStorage-SQLite-fixutf8.diff

BuildRequires:	perl(DJabberd.pm)
BuildRequires:	perl(DBI.pm)
# for testing, maybe one day
# BuildRequires: perl-DBD-SQLite

BuildArch: noarch

Requires:       perl-DBD-SQLite
Source44: import.info

%description
DJabber plugin to store your jabber roster in SQLite.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p0

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make

%check
# without this, djabberd try to write to its log file
export LOGLEVEL=WARN
make test

%install
%makeinstall_std

%files
%doc META.yml
%{perl_vendor_privlib}/DJabberd/


%changelog
* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1_15
- update by mgaimport

* Thu Apr 05 2018 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1_14
- new version

